Get failed steps arguments in order to retry
post
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/deploymentProcedureInstances/{deploymentProcedureInstanceId}/actions/getRetryArguments
Get retry arguments of the failed DP steps by using instanceId of the latest deployment procedure execution if execution id is not specified or if execution id is specified, then retry arguments of passed execution id are displayed.
Request
Path Parameters
-
deploymentProcedureInstanceId(required): string
Id of an Instance.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectIncludes stateId and executionId
Show Source
-
executionId: string
Represents executionId of a deployment procedure instance.Example:
CC1871802C4343A3E053E00F4B640972 -
stateId: string
State Id of the step.Example:
CC1871802C4343A3E053E00F4B640973
Response
Supported Media Types
- application/json
200 Response
Retry arguments of the failed step returned successfully.
Root Schema : DeploymentProcedureInstanceGetRetryArguments
Type:
arrayRepresents retry arguments of failed steps found in DP.
Show Source
Nested Schema : items
Type:
Show Source
object-
id: string
Unique identifier for a stateExample:
CDAAE80FDD3D7987E053E00F4B64DEBB -
lastUpdated: string
last updated time
-
retryArguments: string
arguments which needs to be retriedExample:
command:q;timeoutForExec:0 -
status: string
Status of the stepExample:
Failed -
target: string
Name of the targetExample:
ABC.us.oracle.com
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
401 Response
Client is not authenticated
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
404 Response
Resource not found or not authorized for access
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
503 Response
Indicates that a required service is not available
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description